MGBA-QT(6)

NAME
mgba-qt - Game Boy Advance emulator

SYNOPSIS
mgba-qt [-123456fg] [-b biosfile] [-C option=value] [-l loglevel] [-p patchfile] [-s n] file

DESCRIPTION
mgba-qt is a Game Boy Advance emulator. The options are as follows:

-1  Scale the window 1×.

-2  Scale the window 2×.

-3  Scale the window 3×.

-4  Scale the window 4×.

-5  Scale the window 5×.

-6  Scale the window 6×.

-b biosfile, --bios biosfile
    Specify a BIOS file to use during boot. If this flag is omitted, mgba-qt will use the BIOS specified in the configuration file, or a high-level emulated BIOS if none is specified.

-C option=value, --config option=value
    Override the given config option with value.

-f  Start the emulator full-screen.

-g  Start a gdb(1) session. By default the session starts on port 2345.

-l loglevel
    Log messages during emulation. loglevel is a bitmask defining which types of messages to log:
    •   1 – fatal errors
    •   2 – errors
    •   4 – warnings
    •   8 – informative messages
    •   16 – debugging messages
    •   32 – stub messages for unimplemented features
    •   256 – in-game errors
    •   512 – software interrupts
    •   1024 – emulator status messages
    •   2048 – serial I/O messages
    The default is to log warnings, errors, fatal errors, and status messages.

-p patchfile, --patch patchfile
    Specify a patch file in BPS, IPS, or UPS format.

-s n, --frameskip n
    Skip every n frames.

CONTROLS
The default controls are as follows:
A   x
B   z
L   a
R   s
Start
    <Enter>
Select
    <Backspace>
Load state
    F1–F9
Save state
    <Shift>-F1–F9
Frame advance
    <Ctrl>-n

ENVIRONMENT
XDG_CONFIG_HOME
    The location where mgba-qt will look for the configuration directory. If not set, ~/.config is used.

FILES
$XDG_CONFIG_HOME/mgba/config.ini
    Default mgba(6) configuration file.
$XDG_CONFIG_HOME/mgba/qt.ini
    Default mgba-qt configuration file.
portable.ini
    If this file exists in the current directory, mgba-qt will read config.ini and qt.ini from the current directory instead of $XDG_CONFIG_HOME/mgba.

AUTHORS
Jeffrey Pfau <jeffrey@endrift.com>

HOMEPAGE

•   mGBA homepage: https://mgba.io/

•   Development repository: https://github.com/mgba-emu/mgba

•   Bug tracker: https://github.com/mgba-emu/mgba/issues

•   Message board: https://forums.mgba.io/